corda / net.corda.node.services.statemachine / FlowSessionState

# FlowSessionState

`sealed class FlowSessionState`

FlowSessionState describes the session's state.

Initiating is pre-handshake. Initiating.otherParty at this point holds a Party corresponding to either a specific peer or a service. Initiated is post-handshake. At this point Initiating.otherParty will have been resolved to a specific peer Initiated.peerParty, and the peer's sessionId has been initialised.

### Types

Initiated | `class Initiated : FlowSessionState`
Initiating | `class Initiating : FlowSessionState` otherParty may be a specific peer or a service party

### Properties

sendToParty | `abstract val sendToParty: Party`

### Inheritors

Initiated | `class Initiated : FlowSessionState`
Initiating | `class Initiating : FlowSessionState` otherParty may be a specific peer or a service party